﻿<%--<%@ OutputCache Duration="864000" VaryByHeader="Host" VaryByParam="none" Location="any"%>--%>
<%@ Page language="C#" %>
<%
	Response.ContentType = "text/x-component";
	bool realTime;
	try
	{
	    realTime = CardioLog.API.ProductLicense.ProductFeatures.IsValidRealTimeReports;
	}
	catch
	{
	    realTime = false;
	}
%>

<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:CARDIOLOG>
<head>
	<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css"></LINK>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<PUBLIC:COMPONENT tagName=PREFERENCES>
		<PUBLIC:ATTACH event="oncontentready" onevent="init()"/>
		<PUBLIC:METHOD name="setPreferences"/>
		<PUBLIC:METHOD name="getPreferences"/>
		<PUBLIC:METHOD name="setType"/>
		<PUBLIC:METHOD name="getChartType"/>
		<PUBLIC:METHOD name="getTimeFrame"/>
		<PUBLIC:METHOD name="getEntityId"/>
		<PUBLIC:METHOD name="setMandatoryContext"/>
		<PUBLIC:METHOD name="setDirtyFlag"/>	
		<PUBLIC:METHOD name="toggleHelp"/>
		<PUBLIC:METHOD name="setAbout"/>
		
		<PUBLIC:METHOD name="attachExternalField"/>
	</PUBLIC:COMPONENT>
    <script language="jscript" src="/CardioLog/scripts/json2.js"></script>
	<script language="jscript" src="/CardioLog/2010/Controls/Preference/PreferencesCommon.aspx"></script>
	<script language="JScript">
        element.mandatoryContext = false;
        var showAdvancedMeterPrefs = false;

		var Constants = {currentPage:"current page", unknownPage:"unknown page"};
		
		element.type = "chart";

        var categories = new Array();
		
		function setDirtyFlag() {
			var inputs = document.getElementsByTagName("input");
			for (var i=0;i<inputs.length;i++) {
				inputs[i].attachEvent("onpropertychange", function() {
					if (event.propertyName == "value" || event.propertyName == "checked") {
						element.document.dirtyFlag = true;
					}
				});
				inputs[i].attachEvent("onkeydown", function() {
					event.srcElement.orgValue = event.srcElement.value;
				});
				inputs[i].attachEvent("onkeyup", function() {
					if (event.srcElement.value != event.srcElement.orgValue) element.document.dirtyFlag = true;
				});
			}
			
			var selects = document.getElementsByTagName("select");
			for (var i=0;i<selects.length;i++) {
				selects[i].attachEvent("onchange", function() {
					element.document.dirtyFlag = true;
				});
			}
		}

		function setType(type) {
			element.type = type;
			document.all["aboutThisSpan"].innerText = (type == "report" || type == "navigation" || type == "entrance" || type == "map" || type == "funnel" || type == "userprofile" || type == "visitoractivity" || type == "goalsummary") ? "table" : "meter";
		}
		
		var DEFAULT_PREFERENCES = "<prefs>"+
										"<timeFrame>36000000000</timeFrame>"+
										"<timeInterval>36000000000</timeInterval>"+
									"</prefs>";

		var _chartType;
		
		var imagesPath;
		element.params = new Array();
		
		element.xmlObj = new ActiveXObject("Msxml.DOMDocument");
		element.xmlObj.async = false;
	
		var charts = new Array();
		charts[charts.length] = {name:"Columns 2D", value:"FC_2_3_MSColumn2D"};
		charts[charts.length] = {name:"Columns 3D", value:"FC_2_3_MSColumn3D"};
		charts[charts.length] = {name:"Bars 2D", value:"FC_2_3_MSBar2D"};
		charts[charts.length] = {name:"Area 2D", value:"FC_2_3_MSArea2D"};
		charts[charts.length] = {name:"Lines 2D", value:"FC_2_3_MSLine_2"};
		charts[charts.length] = {name:"Stacked Area", value:"FC_2_3_StckdArea"};
		charts[charts.length] = {name:"Stacked Bar 2D", value:"FC_2_3_StckdBar2D"};
		charts[charts.length] = {name:"Stacked Column 2D", value:"FC_2_3_StckdColumn2D"};
		charts[charts.length] = {name:"Stacked Column 3D", value:"FC_2_3_StckdColumn3D"};
		
		function getChartType() {
			return _chartType;
		}
		
		function showChartTypeSelect(value) {
			document.all["chartTypeSelect"].style.display = "";
			for (var i=0;i<document.all["chartTypeTd"].length;i++) document.all["chartTypeTd"][i].style.display = "";
			for (var i=0;i<charts.length;i++) {
				var option = document.createElement("option");
				option.value = charts[i].value;
				option.innerText = charts[i].name;
				if (charts[i].value == value) option.selected = true;
				document.all["chartTypeSelect"].appendChild(option);
				option = null;
			}
		}
		
		function init() {
			defaults.viewLink = document;
			defaults.viewInheritStyle = false;

			stylesPath = (element.stylesPath) ? element.stylesPath : "";
			imagesPath = (element.imagesPath) ? element.imagesPath : "";

			document.createStyleSheet('/CardioLog/styles/2010_general.css');

			for (var i=0;i<element.children.length;i++) {
				element.params[element.children(i).tagName] = element.children(i).innerHTML;
			}
			setPreferences((element.params["Prefs"]) ? element.params["Prefs"] : "<prefs />");
		    
            getCategories();
		}

        function getCategories() {
		    try {
			    function callback(status) {
				    if (status.errorCode != 0) {
				    } else {
					    categories = status.ResponseXml.selectNodes(".//Category");
				    }
			    }
			    parent.document.Ajax.Request("GET", "data/categories.aspx", "action=getCategories", true, false, callback);
			        
		    } catch (e) {
		    }
        }

		var externalFields = new Array();
		function attachExternalField(field, defaultValue) {
			field.defaultValue = defaultValue;
			externalFields[field.id] = field;
		}
		
		function getPreferences() {
			var prefsString = "<PREFS>"+
                            "<CTITLE>" + document.all["controlTitleLabelText"].value + "</CTITLE>" +
							"<SHOWHELP>"+document.all["showHelp"].checked+"</SHOWHELP>"+
							"<SHOWPREFERENCES>"+document.all["showPreferences"].checked+"</SHOWPREFERENCES>";

            var timeFrameValue = getValue("TIMEFRAME", false);
            if (timeFrameValue == "static") {
                prefsString += "<TIMEFRAME>static</TIMEFRAME>";
            } else if (timeFrameValue) {
				var timeFrameOption = document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex];
				prefsString += "<TIMEFRAME>"+document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex].value+"</TIMEFRAME>";
				if (timeFrameOption.value == "0") {
					prefsString += "<TIMEFRAME_START>"+timeFrameOption.timeFrameStart+"</TIMEFRAME_START>"+
												"<TIMEFRAME_END>"+timeFrameOption.timeFrameEnd+"</TIMEFRAME_END>"+
												"<TIMEFRAME_TITLE>"+timeFrameOption.innerText+"</TIMEFRAME_TITLE>";
					prefsString += "<TIMEINTERVAL>1077760000000000</TIMEINTERVAL>";
				} else {
					//if (element.type == "meter") prefsString += "<TIMEINTERVAL>1077760000000000</TIMEINTERVAL>";
					//else prefsString += "<TIMEINTERVAL>"+Math.abs(document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex].value)+"</TIMEINTERVAL>";
					prefsString += "<TIMEINTERVAL>"+Math.abs(document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex].value)+"</TIMEINTERVAL>";
				}
			}
			switch (element.type) {
				case "chart":
					prefsString += getChartPreferences();
					break;
				case "meter":
					prefsString += getMeterPreferences();
                    break;
				case "report":
					break;
			}

			var genprefs = document.getElementsByName("genprefs");
			for (var i=0;i<genprefs.length;i++) {
				prefsString += "<"+genprefs[i].id.toUpperCase()+">"+genprefs[i].value+"</"+genprefs[i].id.toUpperCase()+">";
			}
			
            if (externalFields.length > 0) {
			    for (var i in externalFields) { 
				    prefsString += "<"+i+">"+externalFields[i].value+"</"+i+">";
			    }
            }

			if (document.all["entityType"]) prefsString += "<entityType>"+document.all["entityType"].value+"</entityType>";
			if (document.all["categoryId"]) prefsString += "<categoryId>"+document.all["categoryId"].value+"</categoryId>";

			if (document.all["chooseEntityUrl"].style.display == "") {
				prefsString += "<entityUrl>"+document.all["entityUrl"].value+"</entityUrl>";
			}

			if (document.all["chooseEntity"].style.display == "") {
				if (document.all["entityId"].value != "") {
					prefsString += "<entityId>"+getSource().value+"</entityId>"+
												"<entityName>"+getSource().innerText+"</entityName>"+
												"<entityTree>"+document.all["entityTree"].value+"</entityTree>";
				}
			} else {
				prefsString += "<entityId>static</entityId>";
			}

            // handle goals
            /*if (document.all["chooseGoal"].style.display == "") {
                goalId = document.all["goalSelect"].options[document.all["goalSelect"].selectedIndex].value;
                goalName = document.all["goalSelect"].options[document.all["goalSelect"].selectedIndex].text;
				if (goalId != "") { // All
					prefsString += "<goalId>"+goalId+"</goalId>"+
									"<goalName>"+goalName+"</goalName>";
				}
			}*/
			
			prefsString += "<chartType>static</chartType>";

			// handle AD grouping
			if (document.all["groupSelectInput"].style.display == "") {
				var groupSelectValue = document.all["groupSelect"].options[document.all["groupSelect"].selectedIndex].value;
				var groupSelectText = document.all["groupSelect"].options[document.all["groupSelect"].selectedIndex].innerText;
				var groupIdsArr = groupSelectValue.split(',');
				var groupNamesArr = groupSelectText.split(',');
				var userIds = "";
				var groupIds = "";
				var userNames = "";
				var groupNames = "";
				for(var i=0;i<groupIdsArr.length;i++) {
					if ( groupIdsArr[i] != "" ) {
						var objectIdsArr = groupIdsArr[i].split(';');
						if ( objectIdsArr[1] == "user" ) {
							userIds += objectIdsArr[0] + ",";
							userNames += groupNamesArr[i] + ",";
						} else {
							groupIds += objectIdsArr[0] + ",";
							groupNames += groupNamesArr[i] + ",";
						}
					}
				}
				userIds = userIds.replace(/,$/, "");
				groupIds = groupIds.replace(/,$/, "");
				userNames = userNames.replace(/,$/, "");
				groupNames = groupNames.replace(/,$/, "");
				
				if ( userIds != "" ) {
					prefsString += "<ADUSER>"+userIds+"</ADUSER>";
					prefsString += "<ADUSERNAME>"+userNames+"</ADUSERNAME>";
				}
				if ( groupIds != "" ) { 
					prefsString += "<ADGROUP>"+groupIds+"</ADGROUP>";
					prefsString += "<ADGROUPNAME>"+groupNames+"</ADGROUPNAME>";
				}
				else prefsString += "<ADGROUP></ADGROUP><ADGROUPNAME></ADGROUPNAME>";
			} else if (preferences.adgroup == "static") prefsString += "<ADGROUP>static</ADGROUP>";
			else prefsString += "<ADGROUP></ADGROUP><ADGROUPNAME></ADGROUPNAME>"
			
				
			// handle categories
			/*if (preferences.categorySupport == "static") {
				prefsString += "<CATEGORYSUPPORT>static</CATEGORYSUPPORT>";
			} else {
				if (categories.length > 0) {
					prefsString += "<CATEGORIES>";
					for (var i=0;i<categories.length;i++) {
						var cid = categories[i].getAttribute("id");
						if (document.all["categorySelect"+cid].selectedIndex > 0)
						    prefsString += "<CATEGORY id='"+cid+"' value='"+document.all["categorySelect"+cid].options[document.all["categorySelect"+cid].selectedIndex].value+"'>"+document.all["categorySelect"+cid].options[document.all["categorySelect"+cid].selectedIndex].text.replace(/&/g, "&amp;")+"</CATEGORY>";
					}
					prefsString += "</CATEGORIES>";
				}
			}*/
			
             // Handle visitor segments (including user categories)
            var segments = document.getElementById("segmentSelect").options[document.getElementById("segmentSelect").selectedIndex];
            if (segments && segments.value != "") segments = JSON.parse(segments.value);

            // Initialize previous segments
            var segmentsPres = "<SOURCE>static</SOURCE><MEDIUM>static</MEDIUM><TERM>static</TERM><CAMPAIGN>static</CAMPAIGN><CONTENT>static</CONTENT><GOALS>static</GOALS><COUNTRIES>static</COUNTRIES><CATEGORIES></CATEGORIES>"; 
            // Handle visitor segments prefs
            if (segments.length > 0) {
				for (var i=0;i<segments.length;i++) {
                    segId = segments[i].id;
                    segCid = segments[i].cid;
                    segValue = segments[i].value;
                    segName = segments[i].name;
                    segCondition = segments[i].condition;
                    switch (segName)
                    {
                        case "Source":
                        case "Medium":
                        case "Term":
                        case "Campaign":
                        case "Content":
                            if (segValue != "static") segmentsPres = segmentsPres.replace("<"+segName.toUpperCase()+">static</"+segName.toUpperCase()+">", "<"+segName.toUpperCase()+" c=\""+segCondition+"\">"+segValue+"</"+segName.toUpperCase()+">");
                            break;
                        case "Goal": 
                        case "Goals":                        
                            if (segValue != "static") segmentsPres = segmentsPres.replace("<GOALS>static</GOALS>", "<GOALS><"+segName.toUpperCase()+" id=\""+segId+"\">"+segValue+"</"+segName.toUpperCase()+"></GOALS>");
                            break;
                        case "Country":
                        case "Countries":
                            if (segValue != "static") segmentsPres = segmentsPres.replace("<COUNTRIES>static</COUNTRIES>", "<COUNTRIES><"+segName.toUpperCase()+" id=\""+segId+"\">"+segValue+"</"+segName.toUpperCase()+"></COUNTRIES>");
                            break;
                        default: // User Categories
                        {
                            // Handle previous categories
                            if (segValue != "") segmentsPres = segmentsPres.replace("<CATEGORIES></CATEGORIES>","<CATEGORIES><CATEGORY id=\""+segCid+"\" value=\""+segId+"\">"+segValue+"</CATEGORY></CATEGORIES>");
                            break;
                        }
                    }
                }
            }
            prefsString += segmentsPres;
            
			if (preferences.parameters) {
				for (var i=0;i<preferences.parameters.length;i++) {
					var field = new Field(preferences.parameters[i]);
					var currentValue = "";
					switch (field.type) {
						case "checkbox":
							currentValue = (document.getElementById(field.name).checked) ? 1 : 0;
							break;
						case "select":
							currentValue = document.getElementById(field.name).options[document.getElementById(field.name).selectedIndex].value;
							break;
						default:
							currentValue = document.getElementById(field.name).value;
							break;
					}
					prefsString += field.SetValue(currentValue);
				}
			}
			
			// handle multiple selection
			if (!document.multipleSelection) {
				prefsString += "<MULTIPLESELECTION>false</MULTIPLESELECTION>";
			}

            // handle custom columns
            if (document.all["columnsSelect"]){
                prefsString += "<CUSTOMCOLUMNS>";
                for (i=0;i<document.all["columnsSelect"].options.length;i++) {
                    if (document.all["columnsSelect"].options[i].selected) {
                        prefsString += "<CUSTOMCOLUMN id=\""+document.all["columnsSelect"].options[i].value+"\" title=\""+document.all["columnsSelect"].options[i].text+"\" type=\"string\" width=\"80\"/>";
                    }
                }
                prefsString += "</CUSTOMCOLUMNS>";
            }
           
			prefsString += "</PREFS>";
			return prefsString;
		}

		function getMeterPreferences() {
			var prefsString = "<MINVALUE>"+document.all["minValue"].value+"</MINVALUE>"+
												"<MAXVALUE>"+document.all["maxValue"].value+"</MAXVALUE>"+
												"<UNDERSHOOT>"+document.all["undershoot"].value+"</UNDERSHOOT>"+
												"<OVERSHOOT>"+document.all["overshoot"].value+"</OVERSHOOT>"+
												"<SENDALERT>"+document.all["sendAlert"].checked+"</SENDALERT>";
			return prefsString;
		}
		
		function getChartPreferences() {
			var prefsString = "";
			if (rules && rules.length > 0) {
				prefsString += "<RULES>";
				for (var i=0;i<rules.length;i++) {
					var ruleId = rules[i].getAttribute("id");
					prefsString += "<RULE id='"+ruleId+"' "+
													"status='"+((document.all["__ruleStatus"+ruleId].checked) ? "on" : "off")+"' "+
													"title='"+rules[i].getAttribute("title")+"'";
					
					if (document.all["__ruleDual"+ruleId])
						prefsString += " dual='true'";
						
					if (document.all["__rulePeriod"+ruleId]) 
						prefsString += " period='"+document.all["__rulePeriod"+ruleId].value+"'/>";
					else
						prefsString += "/>";
				}
				prefsString += "</RULES>";
			}
			return prefsString;
		}		

        function removeWS (prefsStr)
        {
            return prefsStr.replace(/\s+/g, ' ');
        }

		function setPreferences(controlPrefs) {
			prefs = removeWS (controlPrefs);
			element.xmlObj.loadXML(prefs.replace(/\&(?!amp;)/g,"&amp;"));
			if (element.xmlObj.parseError.errorCode != 0) {
				element.xmlObj.loadXML(DEFAULT_PREFERENCES);
			}

            element.xml = element.xmlObj.xml;
			
            if (prefs == "<prefs />") 
                return;

			drawPrefernces();
		}
		
		var rules;
		
		var preferences = new Array();
		
		function drawPrefernces() {
            var ctitle = getValue("CTITLE","Table");
			var showHelp = getValue("SHOWHELP", false);
			var showPreferences = getValue("SHOWPREFERENCES", false);

			document.all["showHelp"].checked = (showHelp == "true") ? true : false;
			document.all["showPreferences"].checked = (showPreferences == "true") ? true : false;

			var timeFrame = getValue("TIMEFRAME", "36000000000");

			if (timeFrame == "static") {
                document.getElementById("chooseDateRange").style.display = "none";
            } else if (timeFrame == "0") {
				initPeriods(false, addCustomizedOption(getValue("TIMEINTERVAL", "36000000000"), getValue("TIMEFRAME_START", "20050101000000"), getValue("TIMEFRAME_END", "20050101235959"), getValue("TIMEFRAME_TITLE", "01/01/2005-01/01/2005")));
			} else {
				initPeriods(timeFrame);
			}
			
			var minFail = getValue("MINFAIL", false);
			var maxFail = getValue("MAXFAIL", false);
           
			var reportType = getValue("REPORTTYPE", false);
			
			var columns = getValue("COLUMNS", false);
		    var controls = getValue("CONTROLS", false);

			var maxRows = getValue("MAXROWS", false);
			var minCount = getValue("MINCOUNT", false);
			var maxCount = getValue("MAXCOUNT", false);
			
			var entityType = getValue("ENTITYTYPE", false);
			var categoryId = getValue("CATEGORYID", false);
			
			var entityId = getValue("ENTITYID", "");
			var entityTree = getValue("ENTITYTREE", "1");
			var entityUrl = getValue("ENTITYURL", "static");
			var multipleSelection = getValue("MULTIPLESELECTION", "true");

            //var goalId = getValue("GOALID", "");
            //var goalName = getValue("GOALNAME", "");
			
			var chartType = getValue("CHARTTYPE", "");

			var type = getValue("TYPE", "FC_2_3_Column2D");
			
			var customColumns = getValuesFromXML("CUSTOMCOLUMNS//CUSTOMCOLUMN");
			
			preferences.adgroup = getValue("ADGROUP", false);
			preferences.adgroupname = getValue("ADGROUPNAME", false);
			preferences.aduser = getValue("ADUSER", false);
			preferences.adusername = getValue("ADUSERNAME", false);

			preferences.categories = getValuesFromXML("CATEGORIES//CATEGORY");
			preferences.categorySupport = getValue("CATEGORYSUPPORT", false);

             // get visitor segments
            var segments = new Array();
            getVisitorSegmentValues("Source", "", segments);
            getVisitorSegmentValues("Medium", "", segments);
            getVisitorSegmentValues("Term", "", segments);
            getVisitorSegmentValues("Campaign", "", segments);
            getVisitorSegmentValues("Content", "", segments);
            getVisitorSegmentValues("Goal", "", segments);
            getVisitorSegmentValues("Country", "", segments);
            getVisitorSegmentValues("", "", segments);
            
            if (segments.length > 0)
                addSegments(segments);
                
            if(ctitle != "")
            {
                document.all["controlTitleLabelText"].value = ctitle;
            }

			if (minFail || maxFail) {
				showSection("advancedSectionTR");
                
                if (element.type == "meter") showAdvancedMeterPrefs = true;

				var tr, td, input;
				tr = document.createElement("tr");
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.className = "largeTextB";
					td.innerText = "<%=CardioLog.API.Localization.getText("$Min Failure$")%>:";
					tr.appendChild(td);

                    // help bubble
                    td = document.createElement("td");
                    td.style.width = "17px";
                    td.style.align = "left";
					    input = document.createElement("<a class='qmark17' id='minfailhelp' href='javascript:void(0);'></a>");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);

					td = document.createElement("td");
						input = document.createElement("<input type='text' class='inputText' name='genprefs' id='minFail'>");
						input.style.width = "50px";
						input.className = "largeInputText";
						input.value = (minFail) ? minFail : 0;
						td.appendChild(input);
						input = null;
					tr.appendChild(td);
				
				tr = document.createElement("tr");
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "<%=CardioLog.API.Localization.getText("$Max Failure$")%>:";
					td.className = "largeTextB";
					tr.appendChild(td);

                    // help bubble
                    td = document.createElement("td");
                    td.style.width = "17px";
                    td.style.align = "left";
					    input = document.createElement("<a class='qmark17' id='maxfailhelp' href='javascript:void(0);'></a>");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);

					td = document.createElement("td");
						input = document.createElement("<input type='text' class='inputText' name='genprefs' id='maxFail'>");
						input.style.width = "50px";
						input.className = "largeInputText";
						input.value = (maxFail) ? maxFail : 0;
						td.appendChild(input);
						input = null;
					tr.appendChild(td);
				td = null;
				tr = null;
			}

			if (maxRows) {
				showSection("advancedSectionTR");

                if (element.type == "meter") showAdvancedMeterPrefs = true;

				var tr, td, input;
				tr = document.createElement("tr");
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "<%=CardioLog.API.Localization.getText("$Number of Results$")%>:";
					td.className = "largeTextB";
					tr.appendChild(td);

                    // help bubble
                    td = document.createElement("td");
                    td.style.width = "17px";
                    td.style.align = "left";
					    input = document.createElement("<a class='qmark17' id='resultsnumhelp' href='javascript:void(0);'></a>");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);

					td = document.createElement("td");
						td.appendChild(createField("maxRows", maxRows));
					tr.appendChild(td);
				td = null;
				tr = null;				
			}
			if (minCount) {
				showSection("advancedSectionTR");
				var tr, td, input;
				tr = document.createElement("tr");
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "<%=CardioLog.API.Localization.getText("$Minimum Results Count$")%>:";
					td.className = "largeTextB";
					tr.appendChild(td);

                    // help bubble
                    td = document.createElement("td");
                    td.style.width = "17px";
                    td.style.align = "left";
					    input = document.createElement("<a class='qmark17' id='minresultscounthelp' href='javascript:void(0);'></a>");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);

					td = document.createElement("td");
						td.appendChild(createField("minCount", minCount));
					tr.appendChild(td);
				td = null;
				tr = null;				
			}
			
			if (maxCount) {
				showSection("advancedSectionTR");
				var tr, td, input;
				tr = document.createElement("tr");
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "<%=CardioLog.API.Localization.getText("$Maximum Results Count$")%>:";
					td.className = "largeTextB";
					tr.appendChild(td);
					td = document.createElement("td");
						td.appendChild(createField("maxCount", maxCount));
					tr.appendChild(td);
				td = null;
				tr = null;				
			}
			
			if (reportType) createHiddenField("reportType", reportType);
			
			if (columns) createHiddenField("columns", columns);
			if (controls) createHiddenField("controls", controls);

			if (entityType) {
				showSection("advancedSectionTR");
				var tr, td, input;
				tr = document.createElement("tr");
				tr.style.display = "none";
				
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "Entity Type:";
					td.className = "largeTextB";
					tr.appendChild(td);
					td = document.createElement("td");
						input = document.createElement("<input type='text' id='entityType'>");
						input.value = entityType;
						td.appendChild(input);
/*						
						select = document.createElement("<select id='entityType'>");
						select.className = "largeInputSelect";
							select.appendChild(createOption("0", "Area", (entityType == 0)));
							select.appendChild(createOption("1", "Site", (entityType == 1)));
							select.appendChild(createOption("2", "List", (entityType == 2)));
							select.appendChild(createOption("6", "List Item", (entityType == 6)));
						td.appendChild(select);
*/
					tr.appendChild(td);
				td = null;
				tr = null;				
			}
			
			if (categoryId) {
				showSection("advancedSectionTR");
				var tr, td, input;
				tr = document.createElement("tr");
				tr.style.display = "none";
				
				document.all["preferencesBody"].appendChild(tr);
					td = document.createElement("td");
					td.innerText = "Category:";
					td.className = "largeTextB";
					tr.appendChild(td);
					td = document.createElement("td");
						input = document.createElement("<input id='categoryId'>");
						input.value = categoryId;
						td.appendChild(input);
					tr.appendChild(td);
				td = null;
				tr = null;				
			}
			
            // Support for specific in meters (and not just aggregated)
            if (reportType == "101" ||  // page views meter
                reportType == "107" || // unique users meter
                reportType == "109" ||  // visits meter
                reportType == "105" || // views duration meter
                reportType == "117" || // bounce rate meter
                reportType == "199" || // avg duration meter
                reportType == "200" || // unique users by url meter 
                reportType == "201" || // page views by url meter
                reportType == "202" || // goal conversion rate meter
                reportType == "203" || // goal converted users meter
                reportType == "204" || // goal total conversions meter
                reportType == "205" ) { // goal value meter
                 showAdvancedMeterPrefs = true;
            }


            if (Number(reportType) >= 210 && Number(reportType) < 231 )
            {
                showAdvancedMeterPrefs = true;
            }

			/* Draw categories selection box */
			
            if (reportType == "126" || reportType == "300" || reportType == "302") {// Unique Users Table || Unique Idea Submitters || Unique Idea Voters
                showSection("categoriesSectionTR");
                try {
			        function callback(status) {
			           var tr, td, select, option;
				        categories = status.ResponseXml.selectNodes(".//Category");
				        tr = document.createElement("tr");
		                
		                td = document.createElement("td");
		                td.colSpan = 2;
		                td.className = "largeTextB";
                        if (reportType == "126" || reportType == "300" || reportType == "302"){
		                    td.innerText = "<%=CardioLog.API.Localization.getText("$Select User Categories$")%>:";
                        }

		                td.appendChild(document.createElement("br"));
                		
		                select = document.createElement("select");
		                select.id = "columnsSelect";
		                select.className = "largeInputSelect";
		                select.style.width = "200px";

                        if (reportType == "126" || reportType == "300" || reportType == "302")
		                    select.multiple = true;
                            	                
		                td.appendChild(select);
                		
		                for (var i=0;i<categories.length;i++) {
		                    option = document.createElement("option");
		                    option.value = categories[i].getAttribute("id");
		                    option.innerText = categories[i].text;
		                    
		                    for (var j=0;j<customColumns.length;j++){
		                        if (option.innerText == customColumns[j].getAttribute("title")) {
		                            option.selected = true;
		                        }
		                    }
		                    
		                    select.appendChild(option);
		                    option = null;
		                }
		                tr.appendChild(td);

		                document.all["categoriesBody"].appendChild(tr);
		                select = null;
		                td = null;
		                tr = null;
			        }
			        popupArguments.opener.Ajax.Request("GET", "data/categories.aspx", "action=getCategories", true, false, callback);
		        } catch (e) {   
		        }
            }

            /* Draw goals selection box */
			/*if ( reportType == "160" || // All Traffic Sources Table
            reportType == "162" || // Search Engines Table
            reportType == "163" || // Search Phrases Table
            reportType == "164" || // Referring Sites Table
            reportType == "165" || // Referring Pages Table
            reportType == "166" || // Referring Campaigns Table
            reportType == "174" || // Converted Users Table
            reportType == "172") //Visitor Activity Report
            {    
                showSection("chooseGoal");
                // Initialize goals from XML
                try {
			        function callback(status) {
                        var option;
                        goals = status.ResponseXml.selectNodes("item/items/item");
						for (var i=0;i<goals.length;i++) {
                                option = document.createElement("option");
		                        option.value = goals[i].selectSingleNode("url").text;
		                        option.innerText = goals[i].selectSingleNode("title").text;
		                        document.all["goalSelect"].appendChild(option);
		                        option = null;
                        }
                    }
                    popupArguments.opener.Ajax.Request("GET", "2010/management/goals/goals.xml", "", true, false, callback);
			    } catch (e) {   
		        }
            }
            */

            /* Draw visitor segments selection box  */
            document.all["chooseSegment"].style.display = "";

			if (entityUrl != "static") {
				document.all["entityUrl"].innerText = entityUrl;
			} else document.all["chooseEntityUrl"].style.display = "none";

			if (entityId != "static") {
				var entityName = getValue("ENTITYNAME", popupArguments.opener.EntityName); //Constants.currentPage);
				if (entityName == "Current Page") {
				    entityName = popupArguments.opener.EntityName;
				}
				if (entityId == "") {
				    entityId = popupArguments.opener.EntityId;
				}
				addSource(entityId, entityName);

				document.all["entityId"].innerText = entityId;
				document.all["entityTree"].value = entityTree;
			} else document.all["chooseEntity"].style.display = "none";
			
			document.multipleSelection = eval(multipleSelection);
            
            // handle goals
            //setSelectedValue("goalSelect", goalId);

			if (element.showChartType) {
				_chartType = type;
				if (chartType != "static") {
					showChartTypeSelect(type);
				}
			}
						
			switch (element.type) {
				case "chart":
					drawChartPreferences();
					break;
				case "meter":
					drawMeterPreferences();
					break;
				case "report":
                case "navigation":
                case "entrance":
                case "funnel":
                    document.all["meterTab"].style.display = 'none';
			        document.all["meterTabSep"].style.display = 'none';		
					break;
                case "map":
                case "userprofile":
                case "visitoractivity":
                case "goalsummary":
			        document.all["meterTab"].style.display = 'none';
			        document.all["meterTabSep"].style.display = 'none';		

                    // Hide Advanced Tab
                    document.all["advancedTab"].style.display = 'none';
			        document.all["advancedTabSep"].style.display = 'none';	
					break;
			}
			
			for (var i in externalFields) {
				externalFields[i].value = getValue(i, externalFields[i].defaultValue);
			}
			
			if (preferences.adgroup != "static" && popupArguments.opener.ADSupport) {
				document.all["groupSelectInput"].style.display = "";
				var groupFound = false;
				addGroup(drawUserInfoIds(preferences.aduser, preferences.adgroup), drawUserInfoNames(preferences.adusername, preferences.adgroupname));
			}

			preferences.parameters = getCustomParameters();
			if (preferences.parameters != null) {
				for (var i=0;i<preferences.parameters.length;i++) {
					addField(preferences.parameters[i], "advancedSectionTR");
				}
			}

			drawCategories();
						
			element.document.resizePage();

			handleFilterSection();

            handleHelpBubbles("advancedPrefsTable");
		}
		
        function handleFilterSection() {
            var fields = document.getElementById("filterSectionBody").children;
            for (var i=0;i<fields.length;i++) {
                if (fields[i].style.display != "none") {
                    document.getElementById("filterSection").style.display = "";
                    showSection("filterSectionTR");
                    return;
                }
            }
            
            /*var categories = document.getElementById("categoriesSection").children;
            if (categories.length > 0 && !document.getElementById("categoriesSectionPleaseWait")) {
                document.getElementById("filterSection").style.display = "";
                showSection("filterSectionTR");
                return;
            }*/

            document.getElementById("filterSection").style.display = "none";
            hideSection("filter");
        }
        
		function hideSection(name) {
			for (var i=0;i<document.all[name+"SectionTR"].length;i++) document.all[name+"SectionTR"][i].style.display = "none";
		}

		function drawUserInfoIds(aduser, adgroup){
			var groupIdsArr = "";
			var userIdsArr = "";
			var groupIds = "";
			var userIds = "";
			
			if (adgroup) {
				groupIdsArr = adgroup.split(',');
				for(var i=0;i<groupIdsArr.length;i++) {
					groupIds += groupIdsArr[i] + ";group,";
				}
				groupIds = groupIds.replace(/,$/, "");
			}
			if (aduser) {
				userIdsArr = aduser.split(',');
				for(var i=0;i<userIdsArr.length;i++) {
					userIds += userIdsArr[i] + ";user,";
				}
				userIds = userIds.replace(/,$/, "");
			}
		
			if (userIds != "" && groupIds != "")
				return(groupIds+","+userIds);
			else if (userIds == "" && groupIds != "")
				return(groupIds);
			else if (userIds != "" && groupIds == "")
				return(userIds);
			else
				return "";
		}
		
		function drawUserInfoNames(adusername, adgroupname){
			if (adusername && adgroupname && adusername != "" && adgroupname != "")
				return(adgroupname+","+adusername);
			else if (adgroupname && adgroupname != "" && (adusername == "" || !(adusername)))
				return(adgroupname);
			else if (adusername != "" && (adgroupname == "" || !(adgroupname)))
				return(adusername);
			else
				return "";
		}
		
		var fieldXML = new ActiveXObject("MSxml.DOMDocument");
		fieldXML.async = false;

		function Field(text) {
			this.text = text;
			fieldXML.loadXML(text);
			this.name = fieldXML.documentElement.tagName;
            this.id = fieldXML.documentElement.getAttribute("id");
			this.title = fieldXML.documentElement.getAttribute("title");
			this.type = fieldXML.documentElement.getAttribute("type");
			this.value = fieldXML.documentElement.text;
			
			var options = fieldXML.documentElement.getAttribute("selectValues");
			this.options = new Array();
			
			if (options != null) {
				var optionsArr = options.split("|");
				for (var i=0;i<optionsArr.length;i++) {
					this.options[this.options.length] = {value:optionsArr[i].split(":")[1], text:optionsArr[i].split(":")[0]};
				}
			}
		}
		Field.prototype.SetValue = function(value) {
			fieldXML.loadXML(this.text);
			fieldXML.documentElement.text = value;
			return fieldXML.documentElement.xml;
		}

		function addField(fieldText, section) {
			showSection(section);
			var field = new Field(fieldText);

			var tr, td, input;
			tr = document.createElement("tr");
			document.all["preferencesBody"].appendChild(tr);
			
			td = document.createElement("td");
			td.className = "largeTextB";

			switch (field.type) {
				case "checkbox":
					tr.appendChild(td);
					td = null;
					
					td = document.createElement("td");
					td.className = "largeTextB";
					tr.appendChild(td);
					input = document.createElement("<input type='checkbox' name='customparam' id='"+field.name+"'>");
					td.appendChild(input);
					input = null;
					label = document.createElement("label");
					label.htmlFor = field.name;
					label.innerText = field.title;
					td.appendChild(label);
					label = null;
					break;
				case "select":
					td.innerText = field.title+":";
					tr.appendChild(td);

                    // help bubble
                    td = document.createElement("td");
                    td.style.width = "17px";
                    td.style.align = "left";
					    input = document.createElement("<a class='qmark17' id='" + field.id + "help' href='javascript:void(0);'></a>");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);

					td = document.createElement("td");
					tr.appendChild(td);
						select = document.createElement("<select class='inputText' name='customparam' id='"+field.name+"'>");
						td.appendChild(select);

                        // populate select user category field
                        if (field.id == "usercategory") {
                             // add "choose"
                            option = document.createElement("option");
		                    option.value = '';
		                    option.innerText = "[<%=CardioLog.API.Localization.getText("$Choose$")%>]";
                            select.appendChild(option);
                            option = null;
                            for (var i=0;i<categories.length;i++) {
		                        option = document.createElement("option");
		                        option.value = categories[i].getAttribute("id");
		                        option.innerText = categories[i].text;
                                if (option.value == field.value) option.selected = true;
		                        select.appendChild(option);
		                        option = null;
		                    }
                        } else {
                            // populate select field options automatically from control prefs
						    for (var i=0;i<field.options.length;i++) {
							    option = document.createElement("option");
							    option.value = field.options[i].value;
							    option.innerText = field.options[i].text;
							    if (option.value == field.value) option.selected = true;
							    select.appendChild(option);
							    option = null;
						    }
                        }
						select = null;
					td = null;				
					break;
				case "hidden":
					td.innerText = "*"+field.title+":";
					tr.appendChild(td);
					td = document.createElement("td");
					
						input = document.createElement("<input type='text' class='inputText' name='customparam' id='"+field.name+"'>");
						input.style.width = "110px";
						input.className = "largeInputText";
						input.value = field.value;
						td.appendChild(input);
						input = null;
					tr.appendChild(td);
					tr.style.display = "none";
					break;
				default:
					td.innerText = field.title+":";
					tr.appendChild(td);
					td = document.createElement("td");
					
						input = document.createElement("<input type='text' class='inputText' name='customparam' id='"+field.name+"'>");
						input.style.width = "110px";
						input.className = "largeInputText";
						input.value = field.value;
						td.appendChild(input);
						input = null;
					tr.appendChild(td);
					break;
			}
		}

		function showSection(section) {
            if (document.all[section].length == undefined) {      
                document.all[section].style.display = (document.all[section].style.display == "") ? "none" : "";          
            } else {
                if (document.all[section].style.display == "none") showSection = true;
                
                for (var i=0;i<document.all[section].length;i++) {
                    document.all[section][i].style.display = (document.all[section][i].style.display == "") ? "none" : "";
                }
            }  
		}
		
		function changeSource(select) {
			document.getElementById("sourceTitle").loaded = false;
			document.getElementById("sourceTitle").title = "";
			
			if (select.options[select.selectedIndex].value == "customize") chooseObject();
			else lastSelectedSource = select.selectedIndex;
		}
		
		function getSource() {
			return document.all["sourceSelect"].options[document.all["sourceSelect"].selectedIndex];
		}
		
		function addSource(value, text) {
			//if (value.length != 0 && !value.match(/^(true)?[0-9]*:/)) value = "0:"+value;
            // add "0:" - fix multiple portal items bug
            var sourceFieldVal = "";
            var sources = value.split(",");
            for (var i=0;i<sources.length;i++) {
			    if (sources[i].length != 0 && !sources[i].match(/^(true)?[0-9]*:/)) sources[i] = "0:"+sources[i];
                sourceFieldVal += sources[i] + ",";
            }
            if (sourceFieldVal.length != 0) {
                value = sourceFieldVal.replace(/,$/, "");
            } 
			for (var i=0;i<document.all["sourceSelect"].options.length;i++) {
				if (document.all["sourceSelect"].options[i].value == value) {
					document.all["sourceSelect"].selectedIndex = i;
					lastSelectedSource = i;
					return;
				}
			}
			var option = document.createElement("option");
			option.value = value;
			option.innerText = text;
			document.all["sourceSelect"].insertBefore(option, document.all["sourceSelect"].children[document.all["sourceSelect"].children.length-1]);
			document.all["sourceSelect"].selectedIndex = document.all["sourceSelect"].children.length-2;
			option = null;
			lastSelectedSource = document.all["sourceSelect"].selectedIndex;
		}
		
		function chooseObject() {
			var selectedSource = (lastSelectedSource) ? document.all["sourceSelect"].options[lastSelectedSource] : false;
			var treeType = "1";
			if (popupArguments.opener.isReport) {
				//var md = window.showModalDialog("../Tree/treesChooserCont.aspx", {treeType:0, callback:chooseObjectPost, selectedSource:selectedSource, multiple:document.multipleSelection, self:element}, "dialogWidth:300px; dialogHeight:400px; status:no; help:no;");
				var myJSONObject  = 
		                { "popupArguments":
		                [	{"treeType":0, "selectedSource":selectedSource, "callback":chooseObjectPost, "multiple":document.multipleSelection, "self":popupArguments.element}  ]
		                 };			
                popupArguments.popupManager.ShowPopup("/CardioLog/2010/Tree/treesChooserCont.aspx",515,400,myJSONObject,550,900);
			} else {
				//var md = window.showModalDialog("../Tree/treesChooserCont.aspx", {treeType:treeType, callback:chooseObjectPost, selectedSource:selectedSource, multiple:document.multipleSelection, self:element}, "dialogWidth:300px; dialogHeight:400px; status:no; help:no;");
				var myJSONObject  = 
		                { "popupArguments":
		                [	{"treeType":treeType, "selectedSource":selectedSource, "multiple":document.multipleSelection, "callback":chooseObjectPost, "self":popupArguments.element}  ]
		                 };			
                    popupArguments.popupManager.ShowPopup("/CardioLog/2010/Tree/treesChooserCont.aspx",515,400,myJSONObject,550,900);
		    }

			if (document.all["sourceSelect"].selectedIndex == document.all["sourceSelect"].options.length-1) {
				document.all["sourceSelect"].selectedIndex = lastSelectedSource;
			}
		}

		function chooseObjectPost(entry, treeType, multiple) {
			if (multiple) {
				var entityId = "";
				var entityTree = "";
				var entityName = "";
				var entityValue = "";

				for (var i=0;i<entry.length;i++) {
					entityId += entry[i].id+",";
					entityTree += entry[i].treeType+",";
					entityName += ((entry[i].discard) ? "!" : "")+entry[i].name+", ";
					entityValue += ((entry[i].discard) ? "true:" : "")+entry[i].treeType+":"+entry[i].id+",";
				}
				entityId = entityId.replace(/,$/, "");
				entityValue = entityValue.replace(/,$/, "");
				entityTree = entityTree.replace(/,$/, "");
				entityName = entityName.replace(/, $/, "");   
				addSource(entityValue, entityName);
				document.all["entityId"].value = entityId;
				document.all["entityTree"].value = entityTree;
			} else {
				if (entry) {
					addSource(entry.id, entry.name);
					document.all["entityId"].value = entry.id;
					document.all["entityTree"].value = treeType;
				} else {
					addSource("", Constants.currentPage);
					document.all["entityId"].value = "";
					document.all["entityTree"].value = "";
				}
			}
		}	


		function createOption(value, text, selected){
			var option = document.createElement("option");
			option.value = value;
			option.innerText = text;
			option.selected = selected;
			return option;
		}
		
		function createField(name, value) {
			var input = document.createElement("<input type='text' class='largeInputText' name='genprefs' id='"+name+"'>");
			input.style.width = "60px";
			input.value = (value) ? value : 0;
			return input;
		}
		
		function createHiddenField(name, value) {
			var input = document.createElement("<input type='hidden' name='genprefs' id='"+name+"'>");
			input.value = value;
			document.body.appendChild(input);
		}
		
		function drawMeterPreferences() {
			var minValue = getValue("MINVALUE", 0);
			var maxValue = getValue("MAXVALUE", 100);
			var undershoot = getValue("UNDERSHOOT", minValue);
			var overshoot = getValue("OVERSHOOT", maxValue);
			var sendAlert = getValue("SENDALERT", false);
            
			showSection("meterSectionTR");

            if (!showAdvancedMeterPrefs) {
			    document.all["advancedTab"].style.display = 'none';
			    document.all["advancedTabSep"].style.display = 'none';		
			}

			document.all["minValue"].value = minValue;
			document.all["minValue"].orgValue = minValue;
			document.all["maxValue"].value = maxValue;
			document.all["maxValue"].orgValue = maxValue;
			document.all["undershoot"].value = undershoot;
			document.all["undershoot"].orgValue = undershoot;
			document.all["overshoot"].value = overshoot;
			document.all["overshoot"].orgValue = overshoot;
            document.all["sendAlert"].checked = (sendAlert == "true") ? true : false;
		}
		
		function drawChartPreferences() {
			rules = element.xmlObj.selectNodes(".//RULES/RULE");
			for (var i=0;i<rules.length;i++) {
				var ruleId = rules[i].getAttribute("id");
				var tr, td, input, span;
				
				tr = document.createElement("tr");
				tr.id = "__rule"+ruleId;
				tr._id = ruleId;
				document.all["rulesBody"].appendChild(tr);
				
					td = document.createElement("td");
						input = document.createElement("<input type='checkbox' class='inputCheckbox' id='__ruleStatus"+ruleId+"' "+((rules[i].getAttribute("status") == null || rules[i].getAttribute("status") == "on") ? "checked='true'" : "")+">");
						td.appendChild(input);
						input = null;
					tr.appendChild(td);
					td = null;

					td = document.createElement("td");
					td.innerText = rules[i].getAttribute("title");
					tr.appendChild(td);
					td = null;

					td = document.createElement("td");
					tr.appendChild(td);
						if (rules[i].getAttribute("period") != null) {
							input = document.createElement("<input type='text' class='inputText' size='3' style='width:30px;' id='__rulePeriod"+ruleId+"' _id='"+ruleId+"'>");
							input.onblur = function() {
								if (this.value.match(/[^0-9]/) || this.value == "") this.value = 1;
								else if (this.value == 0) document.all["__ruleStatus"+this._id].checked = false;
								else document.all["__ruleStatus"+this._id].checked = true;
								document.all["__ruleSpan"+this._id].innerText = getPeriod(this._id);
							}
							td.appendChild(input);
							input.value = rules[i].getAttribute("period");

							span = document.createElement("span");
							span.innerText = " ";
							td.appendChild(span);

							span = document.createElement("span");
							span.id = "__ruleSpan"+ruleId;
							span.innerText = getPeriod(ruleId);
							td.appendChild(span);
							span = null;
						}
						if (rules[i].getAttribute("dual") != null && rules[i].getAttribute("dual") == "true") {
							span = document.createElement("span");
							span.id = "__ruleDual"+ruleId;
							span.innerText = "Runs as a Dual Y Line";
							td.appendChild(span);
							span = null;
						}
					td = null;
					
				tr = null;
			}
		}
		
		function getPeriod(id) {
			var unit = document.all["__rulePeriod"+id].value;
			var unitType = document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex].innerHTML;
			return unitType+((unit != 1) ? "s" : "")+" ago";
		}
		
		function addCustomizedOption(timeInterval, start, end, title) {
			var option = document.createElement("option");
			option.value = "0";
			option.timeFrameStart = start;
			option.timeFrameEnd = end;
			option.timeInterval = timeInterval;
			option.innerText = title;
			return option;
		}

		function flatDate(value, hours, minutes, seconds) {
			function lpad(value) {
				value = value+"";
				if (value.length == 1) return "0"+value;
				else return value;
			}
			return value.getYear()+lpad(value.getMonth()+1)+lpad(value.getDate())+lpad(hours)+lpad(minutes)+lpad(seconds);
		}
		
		function findOption(select, option) {
			for (var i=0;i<select.options.length;i++) {
				if (select.options[i].value == option.value && select.options[i].innerText == option.innerText) return select.options[i];
			}
			return false;
		}
		
		function setDateRange(timeInterval, start, end, title, dynamic) {
			if (!end) end = new Date();
			end = new Date(end.setHours(23, 59, 59));
			var option;
			
			if (!dynamic)
				option = addCustomizedOption(timeInterval, flatDate(start, 0, 0, 0), flatDate(end, 0, 0, 0), title);
			else
				option = addCustomizedOption(timeInterval, start, "today", title);
			
			var existingOption = findOption(document.all["timeFrame"], option);
			if (existingOption) existingOption.selected = true;
			else {
				document.all["timeFrame"].insertBefore(option, document.all["timeFrame"].options[document.all["timeFrame"].options.length-1]);
				document.all["timeFrame"].selectedIndex = document.all["timeFrame"].options.length-2;
			}
			lastSelectedTimeFrame = document.all["timeFrame"].selectedIndex;
			option = null;
		}
		
		function changeUnitType(obj) {
			if (obj.options[obj.selectedIndex].value == "customize") {
				chooseDateRange();
				return;
			} else {
				lastSelectedTimeFrame = obj.selectedIndex;
			}
		}

		function chooseDateRange() {
			function cancelCallback() {
				document.all["timeFrame"].selectedIndex = lastSelectedTimeFrame;
			}
			
			var myJSONObject  = 
	                { "popupArguments":
	                [	{source:"clpage/index", title:"<%=CardioLog.API.Localization.getText("$Choose Date Range$")%>", self:self, option:(lastSelectedTimeFrame >= 0) ? document.all["timeFrame"].options[lastSelectedTimeFrame] : false, currentTimeInterval:false, callback:setDateRange, cancelCallback:cancelCallback}  ]
	                 };
            popupArguments.popupManager.ShowPopup("/CardioLog/2010/CLReport/wwcalendar.aspx",394,574,myJSONObject);
            //window.showModelessDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Choose Date Range$")%>", href:"chooseDateRange.aspx", self:self, option:(lastSelectedTimeFrame >= 0) ? document.all["timeFrame"].options[lastSelectedTimeFrame] : false, currentTimeInterval:false, callback:setDateRange, cancelCallback:cancelCallback}, "dialogHeight:390px; dialogWidth:530px; status:no; help:no;");
		}
		
		var lastSelectedTimeFrame = false;
		var lastSelectedSource = false;

		function setPreferencesTemporarily() {
			eval(element.callback+"();");
		}
		
		var periods = new Array();
		
		function setMandatoryContext(state) {
			if (state) {
				if (document.all["sourceSelect"].options[document.all["sourceSelect"].selectedIndex].value == Constants.currentPage) {
					if (state) document.all["sourceSelect"].options[0].innerText = Constants.unknownPage;
				}
				element.mandatoryContext = true;
			}
		}
		
		function getEntityUrl() {
			return document.all["entityUrl"].value;
		}
		function isStatic() {
			return (document.all["chooseEntity"].style.display == "") ? false : true;
		}
		function getEntityId() {
			return (document.all["chooseEntity"].style.display == "") ? document.all["entityId"].value : "static";
		}
		
		function getTimeFrame() {
			var timeFrame = document.all["timeFrame"].options[document.all["timeFrame"].selectedIndex].innerHTML;
			return timeFrame;
		}
		
		function initPeriods(defaultValue, extraOption) {
            var realTime = "<%=realTime%>";
		    switch (element.type) {
				case "meter":
				    if(realTime == "True")
				    {
					    var periods = new Array({value:600000000, text:'<%=CardioLog.API.Localization.getText("$Hour$")%>'},
									{value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
									{value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
									{value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
									{value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
									{value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
		            }
			        else
			        {
			            var periods = new Array({value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
									        {value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
									        {value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
									        {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
									        {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
			        }
					break;
				case "report":
                case "navigation":
                case "entrance":
                case "map":
                case "funnel":
                case "userprofile":
                case "visitoractivity":
                case "goalsummary":
				    if(realTime == "True")
				    {
					    var periods = new Array({value:600000000, text:'<%=CardioLog.API.Localization.getText("$Hour$")%>'},
									{value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
									{value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
									{value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
									{value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
									{value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
	                }
		            else
		            {
		                var periods = new Array({value:36000000000, text:'<%=CardioLog.API.Localization.getText("$Day$")%>'},
								            {value:864000000000, text:'<%=CardioLog.API.Localization.getText("$Week$")%>'},
								            {value:6048000000000, text:'<%=CardioLog.API.Localization.getText("$Month$")%>'},
								            {value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Quarter$")%>"},
								            {value:77760000000000, text:"<%=CardioLog.API.Localization.getText("$Year$")%>"});
		            }
					break;
			}
			var option;
			for (var i=0;i<periods.length;i++) {
			
			    // Remove This Day
			    if (periods[i].value != "36000000000" || realTime == "True") {
				    option = createOption(periods[i].value, "<%=CardioLog.API.Localization.getText("$This$")%> "+periods[i].text);
				    if (defaultValue == periods[i].value) {
					    option.selected = true;
					    lastSelectedTimeFrame = i*2;
				    }
				    document.all["timeFrame"].appendChild(option);
				    option = null;
				}

				option = createOption(-periods[i].value, "<%=CardioLog.API.Localization.getText("$Last$")%> "+periods[i].text);
				if (defaultValue < 0 && Math.abs(defaultValue) == periods[i].value) {
					option.selected = true;
					lastSelectedTimeFrame = i*2+1;
				}
				document.all["timeFrame"].appendChild(option);
				option = null;
			}

			if (extraOption) {
				document.all["timeFrame"].appendChild(extraOption);
//				document.all["timeFrame"].selectedIndex = document.all["timeFrame"].options.length-1;
				extraOption.selected = true;
				lastSelectedTimeFrame = document.all["timeFrame"].options.length-1;
			}
			
			option = createOption("customize", "<%=CardioLog.API.Localization.getText("$Customize$")%>...");
			document.all["timeFrame"].appendChild(option);
			option = null;
		}
		
		function isNumeric(obj) {
			if (obj.value.match(/[^0-9]/) || obj.value == "") obj.value = obj.orgValue;
			else obj.orgValue = obj.value;
		}
		
        var lastname = 'filter';
		function toggleSection(name, obj) {
			document.all[name+"Section"].style.display = "";
			document.all[name+"Tab"].className = "high";
			
			if (lastname != name) {
			    document.all[lastname+"Section"].style.display = "none";
			    document.all[lastname+"Tab"].className = "";			
			}
			
			lastname = name;
		}

		var lastSelectedGroup = false;
		function changeAuthentication(select) {
			if (select.options[select.selectedIndex].value == "customize") chooseAuthentication();
			else lastSelectedGroup = select.selectedIndex;
		}

		function chooseAuthenticationPost(groups, ids) {
			addGroup(ids, groups);	
		}

		function chooseAuthentication() {
			var selectedGroup = (lastSelectedGroup) ? document.all["groupSelect"].options[lastSelectedGroup] : false;
			 var myJSONObject  = 
			    { "popupArguments":
			    [		
			     {href:"ADChooser.aspx", selectedGroup:selectedGroup, title:"<%=CardioLog.API.Localization.getText("$Select Users and Groups$")%>", type:null, callback:chooseAuthenticationPost, self:element}	
			     ]
			     };	
			popupArguments.popupManager.ShowPopup("/CardioLog/2010/CLPage/adchooser.aspx",394,500,myJSONObject,550,900) ;
			//var md = window.showModalDialog("cont.aspx", {href:"ADChooser.aspx", selectedGroup:selectedGroup, title:"<%=CardioLog.API.Localization.getText("$Select Users and Groups$")%>", type:null, callback:chooseAuthenticationPost, self:element}, "dialogWidth:300px; dialogHeight:420px; status:no; help:no;");
			if (document.all["groupSelect"].selectedIndex == document.all["groupSelect"].options.length-1) {
				document.all["groupSelect"].selectedIndex = lastSelectedGroup;
			}
		}

		function addGroup(value, text) {
			for (var i=0;i<document.all["groupSelect"].options.length;i++) {
				if (document.all["groupSelect"].options[i].value == value) {
					document.all["groupSelect"].selectedIndex = i;
					lastSelectedGroup = i;
					return;
				}
			}
			var option = document.createElement("option");
			option.value = value;
			option.innerText = text;
			document.all["groupSelect"].insertBefore(option, document.all["groupSelect"].children[document.all["groupSelect"].children.length-1]);
			document.all["groupSelect"].selectedIndex = document.all["groupSelect"].children.length-2;
			option = null;
			lastSelectedGroup = document.all["groupSelect"].selectedIndex;
		}

		function showPath() {
			var sourceTitle = document.getElementById("sourceTitle");
			if (!sourceTitle.loaded) {
				sourceTitle.loaded = true;
				sourceTitle.title = "<%=CardioLog.API.Localization.getText("$Loading path. Please wait$")%>...";

				var ids = getSource().value.split(",");
				if (ids == "") return;
				for (var i=0;i<ids.length;i++) {
					ids[i] = ids[i].replace(/^[0-9]\:/, "");
				}

				element.document.getPath(ids.join(","), displayPath);
			}
		}
		function displayPath(message, error) {
			document.getElementById("sourceTitle").title = message;
		}
		function toggleHelp() {
			var shouldHide = (document.all["helpSection"].style.display == "") ? true : false;
			toggleSection("help", document.all["helpSectionTR"][0].children[0]);
			if (!shouldHide) document.all["helpSectionTR"][0].scrollIntoView();
		}
		function setAbout(value) {
			document.getElementById("aboutContent").innerHTML = value;
		}

        function setSelectedValue(select, value) {
	        for (var i=0;i<document.all[select].options.length;i++) {
			    if (document.all[select].options[i].value == value) {
				    document.all[select].selectedIndex = i;
				    return;
			    }
		    }
	    }

        var selectedSegments = null;
        var lastSelectedSegment = false;

        function changeSegment(select) {
			if (select.options[select.selectedIndex].value == "customize") chooseSegment();
			else lastSelectedSegment = select.selectedIndex;
		}

        function chooseSegment(select) {
            // TODO: support pre-defined segments
            // TODO: handle last selected segments, do not open visitor segments popup when selecting an existing value
            selectedSegments = (lastSelectedSegment != false) ? document.all["segmentSelect"].options[lastSelectedSegment].value : false;
            var myJSONObject  = 
			{ "popupArguments":
			[			{"selectedSegments":selectedSegments, "callback":chooseSegmentPost, "self":element}		  ]
			    };			
	  		parent.PopupManager.ShowPopup("/CardioLog/2010/CLPage/VisitorSegmentsChooser.aspx",550,570,myJSONObject);
	 
			if (document.all["segmentSelect"].selectedIndex == document.all["segmentSelect"].options.length-1) {
				document.all["segmentSelect"].selectedIndex = lastSelectedSegment;
			}
		}

        function chooseSegmentPost(segments, segmenttitle) {
            // remove static segments
            var length = segments.length;
            var originalSegments = segments;
            segments = new Array();
                
            for (var i=0;i<length;i++) {
                if (originalSegments[i].value != "static"){
                    segments.push(originalSegments[i]);
                }
            }

            // TODO: support pre-defined segments
            segmentValue = "";

            // if more then 1 segment set field value to "X segments"
            if (segments.length > 0)
            {
                if (typeof(segmenttitle) != "undefined") {
                    segmentValue = segmenttitle;
                } else if (segments.length == 1) {
                    segmentValue = getSegmentTitle(segments[0]);
                } else {
                    segmentValue = segments.length + " <%=CardioLog.API.Localization.getText("$Segments$")%>";
                }

                if (segmentValue != "") {
                    for (var i=0;i<document.all["segmentSelect"].options.length;i++) {
				        if (document.all["segmentSelect"].options[i].value == JSON.stringify(segments)) {
					        document.all["segmentSelect"].selectedIndex = i;
					        lastSelectedSegment = i;
					        return;
                        }
				    }
                    var option = document.createElement("option");
			        option.value = JSON.stringify(segments);
			        option.innerText = segmentValue;
			        document.all["segmentSelect"].insertBefore(option, document.all["segmentSelect"].children[document.all["segmentSelect"].children.length-1]);
			        document.all["segmentSelect"].selectedIndex = document.all["segmentSelect"].children.length-2;
                    lastSelectedSegment = document.all["segmentSelect"].selectedIndex;
			        option = null;
                }
            } 
        }

        function getSegmentTitle(segment) {
            segmentTitle = "";
            name = segment.name;
                
            // Get category name for user category
            if (name == "") {
                if (categories.length > 0) {
					for (var i = 0; i < categories.length; i++) {
						if (categories[i].getAttribute("id") == segment.cid) {
                            name = categories[i].text;
                            break;
                        }
                    }
			    }
            }

            value = segment.value;
            condition = segment.condition;

            if (condition) {
                segmentConditionTitle = "";
                switch (condition)
                {
                    case "me":
                        segmentConditionTitle = "<%=CardioLog.API.Localization.getText("$Matches exactly$")%>";
                        break;
                    case "nme":
                        segmentConditionTitle = "<%=CardioLog.API.Localization.getText("$Does not match exactly$")%>";
                        break;
                    case "c":
                        segmentConditionTitle = "<%=CardioLog.API.Localization.getText("$Contains$")%>";
                        break;
                        case "nc":
                        segmentConditionTitle = "<%=CardioLog.API.Localization.getText("$Does not contain$")%>";
                        break;
                    default:
                        break;
                }
                segmentTitle = name + ": " + segmentConditionTitle + " '" + value + "'"; 
            } else {
                segmentTitle = name + ": " + value;
            }

        	// Convert segmentTitle to human readable non-html encoded form
        	try {
        		segmentTitle = decodeURIComponent(segmentTitle);
        	}
        	catch (e) {
        	}
        	segmentTitle = segmentTitle.replace(/&amp;/g, '&')

            return segmentTitle;
        }  

        function addSegments(segments) {
            segmentValue = JSON.stringify(segments);

			for (var i=0;i<document.all["segmentSelect"].options.length;i++) {
				if (document.all["segmentSelect"].options[i].value == segmentValue) {
					document.all["segmentSelect"].selectedIndex = i;
					lastSelectedSegment = i;
					return;
				}
			}

            // add new segments
            segmentTitle = "";

            // if more then 1 segment set field value to "X segments"
            if (segments.length == 1) {
                segmentTitle = getSegmentTitle(segments[0]);
            } else {
                segmentTitle = segments.length + " <%=CardioLog.API.Localization.getText("$Segments$")%>";
            }
                
			var option = document.createElement("option");
			option.value = segmentValue;
			option.innerText = segmentTitle;
			document.all["segmentSelect"].insertBefore(option, document.all["segmentSelect"].children[document.all["segmentSelect"].children.length-1]);
			document.all["segmentSelect"].selectedIndex = document.all["segmentSelect"].children.length-2;
			option = null;
			lastSelectedSegment = document.all["segmentSelect"].selectedIndex;
		}
        
		// Support copy & paste
        function handleKey() {
			if (event.keyCode == 86 && event.ctrlKey) { // ctrl + v
				event.returnValue = false;
				event.keyCode = 0;
                paste();
				return false;
			}
		}
        function paste() {
            if (window.clipboardData.getData('Text') != "") {
                document.getElementById("entityUrl").value = window.clipboardData.getData('Text');
            }
        }
		var qmarkData = { 
			daterangehelp: "<%=CardioLog.API.Localization.getText("$Date Range Help$")%>",
			portalitemhelp: "<%=CardioLog.API.Localization.getText("$Portal Item Help$")%>",
			usersngroupshelp: "<%=CardioLog.API.Localization.getText("$Users and Groups Help$")%>",
			segmentshelp: "<%=CardioLog.API.Localization.getText("$Visitor Segments Help$")%>",
			urlhelp: "<%=CardioLog.API.Localization.getText("$URL Item Help$")%>",
			sendalerthelp: "<%=CardioLog.API.Localization.getText("$Send Alert Help$")%>",
			minvaluehelp: "<%=CardioLog.API.Localization.getText("$Min Value Help$")%>",
			maxvaluehelp: "<%=CardioLog.API.Localization.getText("$Max Value Help$")%>",
			undershoothelp: "<%=CardioLog.API.Localization.getText("$Undershoot Help$")%>",
			overshoothelp: "<%=CardioLog.API.Localization.getText("$Overshoot Help$")%>",
			resultsnumhelp: "<%=CardioLog.API.Localization.getText("$Number Of Results Help$")%>",
			minresultscounthelp: "<%=CardioLog.API.Localization.getText("$Minimum Results Count Help$")%>",
			minfailhelp: "<%=CardioLog.API.Localization.getText("$Minimum Failure Help$")%>",
			maxfailhelp: "<%=CardioLog.API.Localization.getText("$Maximum Failure Help$")%>",
			aggregatedhelp: "<%=CardioLog.API.Localization.getText("$Aggregated Help$")%>",
			itemtypehelp: "<%=CardioLog.API.Localization.getText("$Item Type Help$")%>",
			sortorderhelp: "<%=CardioLog.API.Localization.getText("$Sort Order Help$")%>",
			requireallstepshelp: "<%=CardioLog.API.Localization.getText("$Require all steps Help$")%>",
			showbyhelp: "<%=CardioLog.API.Localization.getText("$Show by Help$")%>",
			requiresuccessivestepshelp: "<%=CardioLog.API.Localization.getText("$Require successive steps Help$")%>",
			multiplebrowsersessionshelp: "<%=CardioLog.API.Localization.getText("$Measure across multiple browser sessions Help$")%>",
			usercategoryhelp: "<%=CardioLog.API.Localization.getText("$Select User Category Help$")%>",
			showPreferencesBubble: "<%=CardioLog.API.Localization.getText("$Show Preferences Help$")%>",
			showHelpBubble: "<%=CardioLog.API.Localization.getText("$Show Help Bubble$")%>",
			aggregateChildrenhelp: "<%=CardioLog.API.Localization.getText("$Calculate Aggregations Help$")%>",
			directChildrenhelp: "<%=CardioLog.API.Localization.getText("$Direct Children Help$")%>",
			metricColumnhelp: "<%=CardioLog.API.Localization.getText("$Metric Help$")%>"
		}
              
        window.onload = function() {
	        handleHelpBubbles("filterPrefTable");
	        handleHelpBubbles("meterPrefTable");
			handleHelpBubbles("appearanceTable");
        }

        function handleHelpBubbles(tableName) {
            var prefbody = document.getElementById(tableName);
            var atags = prefbody.getElementsByTagName("A");
	        for (var i = 0; i < atags.length; i++) {
	        	var _a = atags[i];
		        if (_a.className.indexOf('qmark') > -1) {
			        _a.data = qmarkData[_a.id];
			        _a.onclick = function() {return false;}
			        _a.onmouseover = function () {
				        window.top.document.openQBubble(window, element.offsetParent.outerHTML, this, this.data, 420);
			        };
		        }
	        } 
        }
									
	</script>
</head>
<body style="border:0px; padding:10px; ">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            <td class="pref_tabs" nowrap="true">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td id="appearanceTab" onclick="toggleSection('appearance', this.parentElement);"><%=CardioLog.API.Localization.getText("$Appearance$")%></td>
                        <td class="sep">&nbsp;</td>
                        <td id="filterTab" class="high" onclick="toggleSection('filter', this.parentElement);"><%=CardioLog.API.Localization.getText("$Filter$")%></td>
                        <td class="sep" id="advancedTabSep">&nbsp;</td>
                        <td id="advancedTab" onclick="toggleSection('advanced', this.parentElement);"><%=CardioLog.API.Localization.getText("$Advanced$")%></td>
                        <td class="sep" id="meterTabSep">&nbsp;</td>
                        <td id="meterTab" onclick="toggleSection('meter', this.parentElement);"><%=CardioLog.API.Localization.getText("$Meter Preferences$")%></td>
                        <td class="sep">&nbsp;</td>
                        <td id="helpTab" onclick="toggleSection('help', this.parentElement);"><%=CardioLog.API.Localization.getText("$About this$")%> <span id='aboutThisSpan'></span></td>
                        <td class="line" width="100%">&nbsp;</td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <div class="pref_box" style="height:458px; overflow:auto;">
	    <table border="0" cellpadding="5" cellspacing="0" width="350">     
		    <tr id="appearanceSection" style="display:none;">
                <td>
				    <table id="appearanceTable" border="0" cellpadding="5" cellspacing="0">
                        <tr>
                            <td valign="top" colspan="3">
		                        <table border="0" cellpadding="5" cellspacing="0">
            				        <tr id="chartTitleTd">
            				            <td class="largeTextB" style="padding-left:10px; width:85px;"><b><%=CardioLog.API.Localization.getText("$Title$")%>:</b></td>
            				            <td><input type="text" id="controlTitleLabelText" isLayout="true" style="width:350px;"></input></td>
            				        </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" class="pref_sep"></td>
                        </tr>
					    <tr><td class="largeTextB"><a class="qmark17" id='showPreferencesBubble' href="javascript:void(0);"></a><input type="checkbox" id="showPreferences"><label for="showPreferences"><%=CardioLog.API.Localization.getText("$Show preferences$")%></label></td></tr>
					    <tr><td class="largeTextB"><a class="qmark17" id='showHelpBubble' href="javascript:void(0);"></a><input type="checkbox" id="showHelp"><label for="showHelp"><%=CardioLog.API.Localization.getText("$Show help$")%></label></td></tr>
					    <tr id="categoriesSectionTR" style="display:none;"><td>
					        <table border="0" cellpadding="5" cellspacing="0">
						        <tbody id="categoriesBody"></tbody>
					        </table>
				        </td></tr>
				    </table>
			    </td>
			</tr>
            <tr id="filterSection" style="display:;">
                <td>
			    <table id="filterPrefTable" border="0" cellpadding="5" cellspacing="0">
					<thead id="filterSectionBody">
						<tr id="chooseDateRange">
							<td class="largeTextB"><%=CardioLog.API.Localization.getText("$Date Range$")%>:</td>
							<td align="left" style="width:17px"><a class="qmark17" id='daterangehelp' href="javascript:void(0);"></a></td>
							<td><select id="timeFrame" class="largeInputSelect" onchange="changeUnitType(this)" style="width:200px;"></select></td>
						</tr>
						<tr id="chooseEntity">
							<td class="largeTextB" onmouseover="showPath()"><span id="sourceTitle"><%=CardioLog.API.Localization.getText("$Source$")%>:</span></td>
							<td align="left" style="width:17px"><a class="qmark17" id='portalitemhelp' href="javascript:void(0);"></a></td>
							<td>
								<select id="sourceSelect" class="largeInputSelect" onchange="changeSource(this)" style="width:200px;">
									<!--option value=""><%=CardioLog.API.Localization.getText("$Current Page$")%></option-->
									<option value="customize"><%=CardioLog.API.Localization.getText("$Customize$")%>...</option>
								</select>
								<input type="hidden" id="entityId"><input type="hidden" id="entityTree">
							</td>
						</tr>
						<tr id="chooseEntityUrl">
								<td class="largeTextB"><%=CardioLog.API.Localization.getText("$Source$")%>:</td>
								<td align="left" style="width:17px"><a class="qmark17" id='urlhelp' href="javascript:void(0);"></a></td>
								<td><input type="text" id="entityUrl" style="width:200px" class="largeInputText"  onkeydown="handleKey()" oncontextmenu="return false;">
						</tr>
                        <%--<tr id="chooseGoal" style="display:none;">
                            <td class="largeTextB">
					           <span id="goalTitle"><%=CardioLog.API.Localization.getText("$Goal$")%>:</span></td><td>
								    <select id="goalSelect" class="largeInputSelect" style="width:200px;">
                                        <option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
								    </select>
				            </td>
                        </tr>--%>
						<tr id="groupSelectInput" style="display:none;">
									<td class="largeTextB"><%=CardioLog.API.Localization.getText("$Users and Groups$")%>:</td>
									<td align="left" style="width:17px"><a class="qmark17" id='usersngroupshelp' href="javascript:void(0);"></a></td>
									<td><select id='groupSelect' class="largeInputSelect" style="width:200px;" onchange="changeAuthentication(this)">
										<option value=''><%=CardioLog.API.Localization.getText("$All$")%></option>
										<option value='customize'><%=CardioLog.API.Localization.getText("$Customize$")%>...</option>
									</select>
						</tr>
                           <tr id="chooseSegment" style="display:none;">
				        <td class="largeTextB"><%=CardioLog.API.Localization.getText("$Visitor Segments$")%>:</td>
						<td align="left" style="width:17px"><a class="qmark17" id='segmentshelp' href="javascript:void(0);"></a></td>
				            <td><select class="largeInputSelect" id="segmentSelect" isFilter="true" style="width:200px;" onchange="changeSegment(this)">
                                <option value=''><%=CardioLog.API.Localization.getText("$None$")%></option>
								<option value="customize"><%=CardioLog.API.Localization.getText("$Customize$")%>...</option>
							</select></td>
                    </tr>
					</thead>
					<%--<tfoot id="categoriesSection">
						<tr id="categoriesSectionPleaseWait" style="display:none;">
							<td class="largeTextB"><%=CardioLog.API.Localization.getText("$Loading Categories$")%>...</td>
						</tr>
					</tfoot>--%>
				</table>		
                </td>
            </tr>
            <tr style="display:none;" id="filterSectionTR"><td height="10px"></td></tr>		
            <tr id="advancedSection" style="display:none;"><td>
				<table id="advancedPrefsTable" border="0" cellpadding="5" cellspacing="0">
					<tbody id="preferencesBody"></tbody>
				</table>
			</td></tr>
			<tr style="display:none;" id="advancedSectionTR"><td height="10px"></td></tr>
    		<tr id="meterSection" style="display:none;"><td>
				<table id="meterPrefTable" border="0" cellpadding="5" cellspacing="0">
					<tr><td class="largeTextB"><%=CardioLog.API.Localization.getText("$Min Value$")%>:</td>
                    <td align="left" style="width:17px"><a class="qmark17" id='minvaluehelp' href="javascript:void(0);"></a></td>
						<td><input type="text" id="minValue" style="width:60px;" class="largeInputText" onblur="isNumeric(this);"></td>
					</tr>
					<tr><td class="largeTextB"><%=CardioLog.API.Localization.getText("$Max Value$")%>:</td>
                    <td align="left" style="width:17px"><a class="qmark17" id='maxvaluehelp' href="javascript:void(0);"></a></td>
						<td><input type="text" id="maxValue" style="width:60px;" class="largeInputText" onblur="isNumeric(this);"></td>
					</tr>
					<tr><td class="largeTextB"><%=CardioLog.API.Localization.getText("$Undershoot$")%>:</td>
                    <td align="left" style="width:17px"><a class="qmark17" id='undershoothelp' href="javascript:void(0);"></a></td>
						<td><input type="text" id="undershoot" style="width:60px;" class="largeInputText" onblur="isNumeric(this);"></td>
					</tr>
					<tr><td class="largeTextB"><%=CardioLog.API.Localization.getText("$Overshoot$")%>:</td>
                    <td align="left" style="width:17px"><a class="qmark17" id='overshoothelp' href="javascript:void(0);"></a></td>
						<td><input type="text" id="overshoot" style="width:60px;" class="largeInputText" onblur="isNumeric(this);"></td>
					</tr>
                    <tr><td class="largeTextB"><input type="checkbox" id="sendAlert"><label for="sendAlert"><%=CardioLog.API.Localization.getText("$Send Alert$")%></label></td>
                    <td align="left" style="width:17px"><a class="qmark17" id='sendalerthelp' href="javascript:void(0);"></a></td>
                    </tr>
					</tr>
				</table>
			</td></tr>
			<tr style="display:none;" id="meterSectionTR"><td height="10px"></td></tr>
		    <tr style="display:none;">
			    <td>
				    <table border="0" cellpadding="3" cellspacing="0" class="regTextB">
					    <tfoot id="rulesBody"></tfoot>
				    </table>
			    </td>
		    </tr>			
            <tr id="helpSection" style="display:none;" class="largeTextB"><td id="aboutContent">
            </td></tr>
	    </table>
	</div>    
    </body>
</html>